Subject: bug#48317: 27.1; text-property-search-forward moves point to end when not found

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 May 2021 21:33:49 +0300

[Please use Reply All to keep the bug address on the CC list.]

> From: Howard Melman <[email-masked]>
> Date: Sun, 9 May 2021 14:10:56 -0400
> 
> >> #s(prop-match 77 224 nil)
> >> 
> >> If I change 'foo to nil it does not move point.
> > 
> > So in your original use case it _did_ find a match, which is why it
> > moved point.
> 
> I don't think any region in the buffer has the property 'ffffffff let alone 
> with the value 'foo so I don't know what it thinks it's found.

What is the difference between "not having a property" and "having a
property with a nil value"?

> I see in the docstring:
> 
> If PREDICATE is nil, a value will match if it is non-nil and
> is NOT equal to VALUE.
> 
> But I don't think this applies because no region in the buffer has this property.

I'm trying to establish whether this is a documentation bug or a code
bug.  For now, I tend to think it's the former.

> Can you reproduce my simple test case?  
> Did it find a region with a random property name?

I don't think I understand the question.

Lars, would you please chime in?  Since you coded this stuff, I'm sure
you will be able to explain its workings much better.